SPIP-Contrib

SPIP-Contrib

عربي | Deutsch | English | Español | français | italiano | Nederlands

291 Plugins, 198 contribs sur SPIP-Zone, 91 visiteurs en ce moment

Accueil > Affichage multimédia > Galeries et diaporamas > MultiViewer Flash > MultiViewer - Premiers Pas -

MultiViewer - Premiers Pas -

25 janvier 2010 – par Christophe Boutin – commentaires

9 votes

Pour installer facilement Multiviewer.

Cette article vient en réponse à ceux qui éprouvent quelques difficultés pour installer pour la première fois le plugin. (voir un plugin)

Voici une procédure pour une mise en œuvre simple :

  • Installer le plugin Multiviewer sur votre site.

Par exemple en copiant le lien suivant ‘http://www.spip-contrib.net/IMG/zip/multiviewer_v1-0-3.zip’ dans la zone de texte ‘Adresse du plugin ou de la liste‘

  • Activer le plugin, en cochant la case à côté de son nom.
  • Veillez à ce que la balise #INSERT_HEAD soit présente dans l’entête de votre squelette (entre les balises HTML <head> et </head>)
  • A partir de la page du plugin, télécharger le fichier d’exemple de portfolio INC-DOCUMENTS.HMTL et le placer dans le dossier des squelettes.
  • Dans votre squelette (article) insérer la balise suivante :
    1. [(#REM) Gestion du portfolio et des documents
    2. Le critere {env} permet de passer d'autres arguments de la page
    3. par exemple l'id_document choisi pour un affichage complet
    4. [(#INCLURE{fond=inc-documents}{id_article}{env})]

    Télécharger

  • Pour changer de viewer, éditer le fichier inc-documents.html à la ligne :
    1. [(#MULTIVIEWER{ALL,art#ID_ARTICLE,typegalerie=simpleviewer})]

    et changer le nom du viewer juste après “typegalerie=”

  • Télécharger le tout sur votre site

En cas de souci :

Si le message : « MultiViewer nécessite JavaScript et le lecteur Flash. » s’affiche, il y a de forte chance que le script javascript n’est pas été ajouté dans l’entête.

Vérifier cela, il faut que la ligne suivante soit présente dans le code source de votre page lorsqu’elle est publiée par SPIP :

  1. <script src="plugins/auto/multiviewer_v1.0.3/javascript/swfobject.js" type="text/javascript"></script>

Si ce code est bien absent, la cause principale est l’absence de la balise #INSERT_HEAD dans l’entête du squelette.

Solution  : Ajouter la ou vérifier quelle est à la bonne place. (entre les balises HTML <head> et </head>)

P.-S.

J’espère que ce petit article sera utile et vous fera gagner du temps.

Dernière modification de cette page le 25 janvier 2010

Retour en haut de la page

Vos commentaires

  • Le 21 juin 2010 à 01:09, par ? En réponse à : MultiViewer - Premiers Pas -

    Bonjour,
    Je débute avec spip et je voulais essayer ce plug in mais je ne comprend pas ou placer le squelette fourni. Après avoir suivi les étapes d’installation et mis les balises dans l’article tout ce que j’ai d’afficher dans mon site c’est « MULTIVIEWVER1 » et je suis renvoyer à la page d’accueil de mon site.
    Je vous met ce que j’ai ecrit dans l’article :
    <MULTIVIEWER1|NEW|nom=pao><MULTIVIEWER1|PARAM|nom=pao|viewver=simpleviewer>
    <MULTIVIEWER1|PARAM|width=500>
    <MULTIVIEWER1|PARAM|height=500>
    <MULTIVIEWER1|ADD|nom=pao|doc=10>
    <MULTIVIEWER1|ADD|nom=pao|doc=11>
    <MULTIVIEWER1|ADD|nom=pao|doc=13>
    <MULTIVIEWER1|ADD|nom=pao|doc=12>
    <MULTIVIEWER1|VOIR|nom=pao>
    <MULTIVIEWER1|ADD|nom=pao|doc=12>

    j’ajoute l’image de l’erreur en question

    merci d’avance pour une eventuelle réponse.
    PS : j’ai oublier de mettre mon pseudo et je n’arrive pas a éditer le nom donc je le cite ici« Tancraft ».

    Répondre à ce message

  • Le 30 janvier 2010 à 20:10, par GezuS En réponse à : MultiViewer - Premiers Pas -

    Salut par ici,
    Merci por ces quelques informations bien utiles aux utilisateur de ce plugin sous Spip2.0.

    J’ai une question concernant Javascript et le message d’erreur qui peut apparaitre : si on a bien notre balise insert_head et que le javascript est activé, est-ce que autre chose peut provoquer cette erreur ?

    J’essaye de passer la version modifié (multiviewer full) en compatible Spip2.0 mais cette erreur revient dés que j’affiche le viewer via un squelette dédié (1 fichier html)...

    Toujours motivé pour faire avancer ce plugin car je le trouve très pratique, on se recontacte :)

    Répondre à ce message

Répondre à cet article

Qui êtes-vous ?

Pour afficher votre trombine avec votre message, enregistrez-la d’abord sur gravatar.com (gratuit et indolore) et n’oubliez pas d’indiquer votre adresse e-mail ici.

Ajoutez votre commentaire ici Les choses à faire avant de poser une question (Prolégomènes aux rapports de bugs. )
Ajouter un document

Retour en haut de la page

Ça discute par ici

  • Facteur

    21 janvier 2010 – 424 commentaires

    Un plugin pour regrouper toutes les fonctions avancées autour de l’envoi de courriels. Introduction SPIP propose une fonction générique envoyer_mail() pour envoyer un courriel. Elle est assez simple d’utilisation mais peut paraître limitée (...)

  • Owl Carousel 2

    30 novembre 2017 – 43 commentaires

    Owl Carousel est un diaporama jQuery adaptable aux différentes tailles d’écran, qu’on peut actionner par glisser, il utilise CSS3 mais il est compatible avec les vieux navigateurs, et il est aussi paramétrable. Le présent plugin permet d’utiliser (...)

  • GIS 4

    11 août 2012 – 1535 commentaires

    Présentation et nouveautés La version 4 de GIS abandonne la libraire Mapstraction au profit de Leaflet. Cette librairie permet de s’affranchir des librairies propriétaires tout en gardant les mêmes fonctionnalités, elle propose même de nouvelles (...)

  • Le Couteau Suisse

    4 mai 2007 – 1861 commentaires

    Ce plugin propose d’introduire facilement de simples fonctionnalités supplémentaires à SPIP et qui s’avèrent rapidement indispensables ! Par exemple : le contrôle de nombreuses variables « cachées » de SPIP, des améliorations ou facilités typographiques, (...)

  • Formidable, le générateur de formulaires

    23 janvier 2012 – 2533 commentaires

    Un générateur de formulaires facilement configurable pour les non-informaticiens et facilement extensible pour les développeurs. Introduction L’objectif était de créer un plugin permettant de générer des formulaires. Historiquement, 2 plugins (...)